
Redmine - Feature #2762

Hide list of changed files on revision page

2009-02-16 19:56 - Jean Dubois

Status: Closed Start date: 2009-02-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I didn't find any way to hide the list of changed files on each revision page (like http://www.redmine.org/repositories/revision/1/2475).

I would like my users to be able to see each revision (and its message), but not the file list (ie. the structure of my application).

Is there any way to do it? Or could we implement an authorization for this? Like "See changed file list".

Thanks a lot!

Related issues:

Related to Redmine - Feature #3988: Show diff in revision page Reopened 2009-10-07

Related to Redmine - Feature #2372: Ideas for the Revisions page New 2008-12-22

Associated revisions

Revision 2499 - 2009-02-21 13:58 - Jean-Philippe Lang

Do not show the changed files list on the revision page if the user is not allowed to browse the repository (#2762).

History

#1 - 2009-02-19 19:54 - Jean-Philippe Lang

Maybe we should hide the changed files list if the user is not allowed to browse the repository (this permission already exists).

What do you think?

#2 - 2009-02-21 13:57 - Jean-Philippe Lang

- Category changed from UI to SCM

- Status changed from New to Resolved

- Resolution set to Fixed

The change proposed above is committed in r2499.

#3 - 2011-03-29 12:41 - Toshi MARUYAMA

- Status changed from Resolved to Closed
